-- -------------------------------------------------------------------------- --
-- AHsearch DEFAULT (english) Localization                                    --
-- Please make sure to save this file as UTF-8. ¶                             --
-- -------------------------------------------------------------------------- --

AHsearch_Locales = {
-- no category
["No category available!"] = true,
["Right-click AHsearch Button for configuration!"] = true,

-- configuration ------------------
["Close Configuration"] = true,

-- category configuration ------------------
["Categories"] = true,
["Create New"] = true,
["Select"] = true,
["Current"] = true,
["Title"] = true,
["Position"] = true,
["Color"] = true,
["Icon"] = true,
["*NEW"] = true,
["*Required"] = true,
-- - option buttons
["Clear All"] = true,
["Update"] = true,
["Delete"] = true,
-- - overwrite category
["Category '%s' exists!"] = true,
["Overwrite?"] = true,
["All search queries in the old category will be deleted!"] = true,
-- - delete category
["Delete category '%s'?"] = true,
["All search queries in that category will be deleted!"] = true,

-- search queries configuration ------------------
["Search Queries"] = true,
["Select Category"] = true,
["Select Search Query"] = true,
["Name"] = true,
["Rarity"] = true,
["Filter"] = true,
["Level"] = true,
["min."] = true,
["max."] = true,
["Sort"] = true,
["quality"] = "Quality",
["level"] = "Level",
["duration"] = "Duration",
["seller"] = "Seller",
["bid"] = "Bid",
["Misc."] = true, -- short for Miscellaneous
["Usable Items"] = true,
["Display on Character"] = true,
["TEST SEARCH"] = true,
["*Searchfield"] = true,
-- - overwrite search queries
["Search Query '%s' in category '%s' exists!"] = true,
-- - delete search query
["Delete search query '%s' in category '%s'?"] = true,

-- options ------------------
["Options"] = true,
["Button settings"] = true,
["Show Button for Next and Previous Search"] = true,
["Show Button for Random Search"] = true,
["Category"] = true,
["Search Query"] = true,
["Width"] = true,
["Height (Rows)"] = true,
["Scale"] = true,

-- misc ------------------
-- - itemRarityNames
["All"] = true,
-- - confirm
["YES"] = true,
["NO"] = true,
-- - move
["click & move"] = true,
}

BINDING_HEADER_AHSEARCH           = "AHsearch"
BINDING_NAME_AHSEARCHNEXTSEARCH   = "Next Search"
BINDING_NAME_AHSEARCHPREVSEARCH   = "Previous Search"
BINDING_NAME_AHSEARCHRANDOMSEARCH = "Random Search"

function AHsearch_Locales:CreateLocaleTable(t)
	for k,v in pairs(t) do
		self[k] = (v == true and k) or v
	end
end

AHsearch_Locales:CreateLocaleTable(AHsearch_Locales)